package patrones.facade.eje1;

public class CreditCard {
	String cardType;
	String cardNumber;
	String cardExpDate;
	final String CC_DATA_FILE = "CC.txt";

	public CreditCard(String ccType, String ccNumber, String ccExpDate) {
		cardType = ccType;
		cardNumber = ccNumber;
		cardExpDate = ccExpDate;
	}

	public boolean isValid() {
		/*
		 * Let's go with simpler validation here to keep the example simpler.
		 */
		
		if (getCardType().equals("VISA")) {
			return (getCardNumber().trim().length() == 16);
		}
		if (getCardType().equals("DISCOVER")) {
			return (getCardNumber().trim().length() == 15);
		}
		if (getCardType().equals("MASTER")) {
			return (getCardNumber().trim().length() == 16);
		}
		return false;		 
	}

	public boolean save() {
	    //FileUtil futil = new FileUtil();
	    String dataLine =
	      getCardType() + "," + getCardNumber() + "," +
	      getCardExpDate();
	    //return futil.writeToFile(CC_DATA_FILE, dataLine, true,true);
	    System.out.println("Grabado el archivo " + CC_DATA_FILE + " Texto:"
				+ dataLine);
		return true;
	  }

	public String getCardType() {
		return cardType;
	}

	public String getCardNumber() {
		return cardNumber;
	}

	public String getCardExpDate() {
		return cardExpDate;
	}
}
